package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.VuforiaImageInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.VuforiaImageInfoMapper")
public interface VuforiaImageInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(VuforiaImageInfo record);

    VuforiaImageInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(VuforiaImageInfo record);

    List<VuforiaImageInfo> queryAllVuforiaImageInfo(VuforiaImageInfo record);

    List<VuforiaImageInfo> queryVuforiaImageInfoByPage(Map<String, Object> parameter);

    int delete(VuforiaImageInfo record);

    VuforiaImageInfo queryVuforiaImageInfo(VuforiaImageInfo record);

    List<VuforiaImageInfo> query(VuforiaImageInfo record);
}

